# InstanceTypeCapacity

Controlling the capacity of each instance type

## GET /v3/hostCapacityTemplate/{hostCapacityTemplateId}/instanceTypeCapacity

> Get the details of all your instance type capacities under a host capacity template

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"InstanceTypeCapacity","description":"Controlling the capacity of each instance type"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"InstanceTypeCapacity":{"type":"object","required":["id","hostCapacityTemplateId","providerId","instanceType","isVirtual","capacity","createdAt"],"properties":{"id":{"type":"string","format":"","description":"The ID of the Instance Type Capacity","readOnly":true},"hostCapacityTemplateId":{"type":"string","format":"","description":"The ID of the Host Capacity Template to which this element is linked","readOnly":true},"providerId":{"type":"integer","format":"integer","description":"Cloud provider ID. For a list of cloud providers see [`GET /v3/cloud/provider`](#/Cloud/get_v3_cloud_provider)"},"instanceType":{"type":"string","format":"","description":"The instance type to which the `capacity` applies. This is the name of instance types found at various cloud providers.\nSee GET /cloud/instanceType (for virtual servers) and GET /host/instanceType (for bare metal servers)"},"isVirtual":{"type":"integer","format":"integer","description":"`1` if the instance type is a virtual server, `0` if it is a bare metal server","readOnly":true},"capacity":{"type":"integer","format":"integer","description":"The capacity of the instance type"},"createdAt":{"type":"integer","format":"integer","description":"The Unix timestamp at which this element is created","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/hostCapacityTemplate/{hostCapacityTemplateId}/instanceTypeCapacity":{"get":{"tags":["InstanceTypeCapacity"],"summary":"Get the details of all your instance type capacities under a host capacity template","operationId":"getHostCapacityTemplateInstanceTypeCapacities","parameters":[{"name":"hostCapacityTemplateId","in":"path","description":"The ID of the hostCapacityTemplate","required":true,"schema":{"type":"string"}},{"name":"RANGED-DATA","in":"header","description":"Example header and default range: RANGED-DATA:start=0,results=25","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/InstanceTypeCapacity"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## POST /v3/hostCapacityTemplate/{hostCapacityTemplateId}/instanceTypeCapacity

> Create an instance type capacity for the specified hostCapacityTemplateId

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"InstanceTypeCapacity","description":"Controlling the capacity of each instance type"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"InstanceTypeCapacity":{"type":"object","required":["id","hostCapacityTemplateId","providerId","instanceType","isVirtual","capacity","createdAt"],"properties":{"id":{"type":"string","format":"","description":"The ID of the Instance Type Capacity","readOnly":true},"hostCapacityTemplateId":{"type":"string","format":"","description":"The ID of the Host Capacity Template to which this element is linked","readOnly":true},"providerId":{"type":"integer","format":"integer","description":"Cloud provider ID. For a list of cloud providers see [`GET /v3/cloud/provider`](#/Cloud/get_v3_cloud_provider)"},"instanceType":{"type":"string","format":"","description":"The instance type to which the `capacity` applies. This is the name of instance types found at various cloud providers.\nSee GET /cloud/instanceType (for virtual servers) and GET /host/instanceType (for bare metal servers)"},"isVirtual":{"type":"integer","format":"integer","description":"`1` if the instance type is a virtual server, `0` if it is a bare metal server","readOnly":true},"capacity":{"type":"integer","format":"integer","description":"The capacity of the instance type"},"createdAt":{"type":"integer","format":"integer","description":"The Unix timestamp at which this element is created","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/hostCapacityTemplate/{hostCapacityTemplateId}/instanceTypeCapacity":{"post":{"tags":["InstanceTypeCapacity"],"summary":"Create an instance type capacity for the specified hostCapacityTemplateId","operationId":"createHostCapacityTemplateInstanceTypeCapacity","parameters":[{"name":"hostCapacityTemplateId","in":"path","description":"The ID of the hostCapacityTemplate","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InstanceTypeCapacity"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/InstanceTypeCapacity"}}}}},"403":{"description":"Invalid credentials"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/instanceTypeCapacity/{instanceTypeCapacityId}

> Get the details of the given instance type capacity

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"InstanceTypeCapacity","description":"Controlling the capacity of each instance type"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"InstanceTypeCapacity":{"type":"object","required":["id","hostCapacityTemplateId","providerId","instanceType","isVirtual","capacity","createdAt"],"properties":{"id":{"type":"string","format":"","description":"The ID of the Instance Type Capacity","readOnly":true},"hostCapacityTemplateId":{"type":"string","format":"","description":"The ID of the Host Capacity Template to which this element is linked","readOnly":true},"providerId":{"type":"integer","format":"integer","description":"Cloud provider ID. For a list of cloud providers see [`GET /v3/cloud/provider`](#/Cloud/get_v3_cloud_provider)"},"instanceType":{"type":"string","format":"","description":"The instance type to which the `capacity` applies. This is the name of instance types found at various cloud providers.\nSee GET /cloud/instanceType (for virtual servers) and GET /host/instanceType (for bare metal servers)"},"isVirtual":{"type":"integer","format":"integer","description":"`1` if the instance type is a virtual server, `0` if it is a bare metal server","readOnly":true},"capacity":{"type":"integer","format":"integer","description":"The capacity of the instance type"},"createdAt":{"type":"integer","format":"integer","description":"The Unix timestamp at which this element is created","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/instanceTypeCapacity/{instanceTypeCapacityId}":{"get":{"tags":["InstanceTypeCapacity"],"summary":"Get the details of the given instance type capacity","operationId":"getInstanceTypeCapacity","parameters":[{"name":"instanceTypeCapacityId","in":"path","description":"The Id of the instance type capacity","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/InstanceTypeCapacity"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid instanceTypeCapacityId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /v3/instanceTypeCapacity/{instanceTypeCapacityId}

> Update given host capacity template

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"InstanceTypeCapacity","description":"Controlling the capacity of each instance type"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"InstanceTypeCapacity":{"type":"object","required":["id","hostCapacityTemplateId","providerId","instanceType","isVirtual","capacity","createdAt"],"properties":{"id":{"type":"string","format":"","description":"The ID of the Instance Type Capacity","readOnly":true},"hostCapacityTemplateId":{"type":"string","format":"","description":"The ID of the Host Capacity Template to which this element is linked","readOnly":true},"providerId":{"type":"integer","format":"integer","description":"Cloud provider ID. For a list of cloud providers see [`GET /v3/cloud/provider`](#/Cloud/get_v3_cloud_provider)"},"instanceType":{"type":"string","format":"","description":"The instance type to which the `capacity` applies. This is the name of instance types found at various cloud providers.\nSee GET /cloud/instanceType (for virtual servers) and GET /host/instanceType (for bare metal servers)"},"isVirtual":{"type":"integer","format":"integer","description":"`1` if the instance type is a virtual server, `0` if it is a bare metal server","readOnly":true},"capacity":{"type":"integer","format":"integer","description":"The capacity of the instance type"},"createdAt":{"type":"integer","format":"integer","description":"The Unix timestamp at which this element is created","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/instanceTypeCapacity/{instanceTypeCapacityId}":{"put":{"tags":["InstanceTypeCapacity"],"summary":"Update given host capacity template","operationId":"updateInstanceTypeCapacity","parameters":[{"name":"instanceTypeCapacityId","in":"path","description":"The Id of the host capacity template","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InstanceTypeCapacity"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/InstanceTypeCapacity"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid instanceTypeCapacityId"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## DELETE /v3/instanceTypeCapacity/{instanceTypeCapacityId}

> Delete given host capacity template

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"InstanceTypeCapacity","description":"Controlling the capacity of each instance type"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/instanceTypeCapacity/{instanceTypeCapacityId}":{"delete":{"tags":["InstanceTypeCapacity"],"summary":"Delete given host capacity template","operationId":"deleteInstanceTypeCapacity","parameters":[{"name":"instanceTypeCapacityId","in":"path","description":"The Id of the host capacity template","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid instanceTypeCapacityId"},"409":{"description":"Cannot delete"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.i3d.net/api-references/game/instancetypecapacity-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
